# Uses of Class
org.snpeff.binseq.DnaSequenceId

Packages that use DnaSequenceId
Package
Description
org.snpeff.binseq
org.snpeff.binseq.indexer
org.snpeff.fileIterator

## Uses of DnaSequenceId in org.snpeff.binseq

Methods in org.snpeff.binseq that return DnaSequenceId
Modifier and Type
Method
Description
`static DnaSequenceId`
DnaSequenceId.`empty()`
Empty sequence singleton

## Uses of DnaSequenceId in org.snpeff.binseq.indexer

Classes in org.snpeff.binseq.indexer that implement interfaces with type arguments of type DnaSequenceId
Modifier and Type
Class
Description
`class`
`OverlapFilterCompareAllAll`
Only allow overlaps between sequences mapped to same/different partition
`class`
`OverlapFilterDnaId`
Only allow sequences with different IDs to be overlapped
Methods in org.snpeff.binseq.indexer with parameters of type DnaSequenceId
Modifier and Type
Method
Description
`boolean`
OverlapFilterCompareAllAll.`considerOverlap(DnaSequenceId seq1, DnaSequenceId seq2)`
Consider overlap between two sequences?
`boolean`
OverlapFilterDnaId.`considerOverlap(DnaSequenceId seq1, DnaSequenceId seq2)`
Consider overlap between two sequences?

## Uses of DnaSequenceId in org.snpeff.fileIterator

Subclasses with type arguments of type DnaSequenceId in org.snpeff.fileIterator
Modifier and Type
Class
Description
`class`
`DnaSeqIdFileIterator`